Update snippet/Q&A knowledge source body and re-embed
PUT
/v1/ai/agents/{agentID}/knowledge/sources/{sourceID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredsourceIDstringrequiredRequest body
requiredapplication/jsoncontentobjectrequiredtitlestringResponses
200OK
agent_idstringrequiredaudience_rulesobjectrequiredchunkCountinteger<int64>requiredcontentobjectrequiredcreated_atstringrequiredfreshness_checked_atstringidstringrequiredlast_synced_atstringmetadataobjectrequirednamestringrequiredquality_statusstringrequiredsource_typestringrequiredstale_after_daysinteger<int32>requiredstatusstringrequiredsummarystringrequiredtitlestringrequiredtypestringrequiredupdatedAtstringrequiredupdated_atstringrequireduristring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/ai/agents/string/knowledge/sources/string" \
-H "Content-Type: application/json" \
-d '{
"content": {},
"title": "string"
}'const response = await fetch("/v1/ai/agents/string/knowledge/sources/string", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"content": {},
"title": "string"
})
});import requests
response = requests.put(
"/v1/ai/agents/string/knowledge/sources/string",
headers={
"Content-Type": "application/json"
},
json={
"content": {},
"title": "string"
},
)Response
{
"agent_id": "string",
"audience_rules": {},
"chunkCount": 0,
"content": {},
"created_at": "string",
"freshness_checked_at": "string",
"id": "string",
"last_synced_at": "string",
"metadata": {},
"name": "string",
"quality_status": "string",
"source_type": "string",
"stale_after_days": 0,
"status": "string",
"summary": "string",
"title": "string",
"type": "string",
"updatedAt": "string",
"updated_at": "string",
"uri": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}